dnsmasq-base should ship the dnsmasq dbus configuration file

Bug #1029977 reported by Mathieu Trudel-Lapierre on 2012-07-27
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dnsmasq (Ubuntu)
Medium
Mathieu Trudel-Lapierre
Precise
Medium
Mathieu Trudel-Lapierre

Bug Description

[Rationale]
Required for network-manager SRU for bug 1004775:
To properly handle updating DNS nameservers in the dnsmasq instance spawned by NetworkManager; it would require starting dnsmasq with dbus enabled so that all future dns changes could be done through that API. Unfortunately, dnsmasq currently ships the dbus configuration file along with an init script as part of the 'dnsmasq' package; which, when installed and improperly configured can conflict with the dnsmasq instance used by network-manager. Furthermore, the additional files provided by 'dnsmasq' are not required. Moving the dbus config file from 'dnsmasq' to 'dnsmasq-base' allows users of the standalone binary to start dnsmasq with dbus enabled without requiring the additional installation of the 'dnsmasq' package and the init script and other configuration files it provides.

[Test case]
Requirements: the 'dnsmasq-base' package must be installed; the 'dnsmasq' package must *NOT* be installed.
1) Start a terminal
2) sudo stop network-manager # network-manager interferes with the test, since it starts dnsmasq.
2) Attempt to start dnsmasq with the following command:
'sudo dnsmasq --enable-dbus'

Without the file shipped with dnsmasq-base:
dnsmasq: Erreur DBus : Connection ":1.64" is not allowed to own the service "uk.org.thekelleys.dnsmasq" due to security policies in the configuration file

With the file; dnsmasq should start successfully.

Other instances may interfere with the test case; if you get an error such as "address already in use"; first kill off other running instances of dnsmasq.

[Regression Potential]
Minimal; would have to be misexecution of the patch; through an error in the packaging (ie. incorrect package dependencies) could cause dnsmasq to refuse to start with --enable-dbus. That function isn't used by any of the packages we ship by default at this point.

---

/etc/dbus-1/system.d/dnsmasq.conf is currently being shipped by 'dnsmasq'. However, other users of the dnsmasq binary as a standalone binary (e.g. those packages that depend on 'dnsmasq-base' and not 'dnsmasq') may want to use dnsmasq with --enable-dbus. This requires the above config file; otherwise the name can't be owned by dnsmasq and DBus messages will fail.

dnsmasq-base should ship the file along with the dnsmasq binary; all other arch-indep files from dnsmasq can stay where they are.

Changed in dnsmasq (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dnsmasq - 2.62-3ubuntu1

---------------
dnsmasq (2.62-3ubuntu1) quantal; urgency=low

  * debian/rules: install the dnsmasq dbus configuration in dnsmasq-base, since
    users of the standalone binary might want to use DBus (ie. NetworkManager).
    (LP: #1029977)
  * debian/control: dnsmasq-base Breaks/Replaces dnsmasq (<< 2.62-3ubuntu1) due
    to the file move.
  * debian/dnsmasq.conffiles, debian/dnsmasq-base.conffiles: make sure the dbus
    configuration file is properly listed as such.
 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 24 Jul 2012 08:57:45 -0400

Changed in dnsmasq (Ubuntu):
status: In Progress → Fix Released
description: updated
Changed in dnsmasq (Ubuntu Precise):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)

On 27/07/12 16:10, Launchpad Bug Tracker wrote:
> This bug was fixed in the package dnsmasq - 2.62-3ubuntu1
>
> ---------------
> dnsmasq (2.62-3ubuntu1) quantal; urgency=low
>
> * debian/rules: install the dnsmasq dbus configuration in dnsmasq-base, since
> users of the standalone binary might want to use DBus (ie. NetworkManager).
> (LP: #1029977)
> * debian/control: dnsmasq-base Breaks/Replaces dnsmasq (<< 2.62-3ubuntu1) due
> to the file move.
> * debian/dnsmasq.conffiles, debian/dnsmasq-base.conffiles: make sure the dbus
> configuration file is properly listed as such.
> -- Mathieu Trudel-Lapierre <email address hidden> Tue, 24 Jul 2012 08:57:45 -0400
>
> ** Changed in: dnsmasq (Ubuntu)
> Status: In Progress => Fix Released
>

Fix taken for Debian 2.63-1 release.

Cheers,

Simon.

Thanks Simon!

description: updated
Changed in dnsmasq (Ubuntu Precise):
status: In Progress → Triaged
Changed in dnsmasq (Ubuntu Precise):
status: Triaged → In Progress

Hello Mathieu, or anyone else affected,

Accepted dnsmasq into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/dnsmasq/2.59-4ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in dnsmasq (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Mark Russell (marrusl) wrote :

Looks good to me. The version of dnsmasq-base in proposed starts dnsmasq correctly with 'sudo dnsmasq --enable-dbus'.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dnsmasq - 2.59-4ubuntu0.1

---------------
dnsmasq (2.59-4ubuntu0.1) precise-proposed; urgency=low

  * debian/rules: install the dnsmasq dbus configuration in dnsmasq-base, since
    users of the standalone binary might want to use DBus (ie. NetworkManager).
    (LP: #1029977)
  * debian/control: dnsmasq-base Breaks/Replaces dnsmasq (<< 2.59-4ubuntu0) due
    to the file move.
  * debian/dnsmasq.conffiles, debian/dnsmasq-base.conffiles: make sure the dbus
    configuration file is properly listed as such.
 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 24 Jul 2012 08:57:45 -0400

Changed in dnsmasq (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers